Skip to main content
POST
/
v1
/
team
/
signup
Public team sign-up endpoint
curl --request POST \
  --url https://api.wirespeed.co/v1/team/signup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "company": "<string>",
  "title": "<string>",
  "turnstile": "<string>"
}
'
import requests

url = "https://api.wirespeed.co/v1/team/signup"

payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"company": "<string>",
"title": "<string>",
"turnstile": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: '<string>',
company: '<string>',
title: '<string>',
turnstile: '<string>'
})
};

fetch('https://api.wirespeed.co/v1/team/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "teamId": "<string>",
  "message": "<string>"
}
{
"message": "<string>",
"statusCode": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
firstName
string
required

First name of the user (1-512 characters)

lastName
string
required

Last name of the user (1-512 characters)

email
string
required

Business email address (personal domains blocked)

company
string
required

Company name (1-512 characters, used as team name)

title
string
required

Job title (1-512 characters)

signupInquiryType
enum<string>
required

Type of sign-up inquiry

Available options:
My Business,
MSP
turnstile
string
required

Turnstile verification token for bot protection

Response

teamId
string
required

Unique identifier for the created team

message
string
required

Confirmation message